FLUI is an Open Source widget kit for Flutter that has many high quality UI widgets, providing more advanced features and functions to improve development efficiency.

Widgets are MaterialApp compliant and non-styled support style customization to meet different interface needs. You can follow the development of FLUI in the official Github repository.

User actions generate clear feedback on UI elements, and users can perceive states through interface interaction.

Flutter SDK

Use o Flutter SDK >= v1.12.13+hotfix.5

FLUI has good multi-client compatibility and the framework will be developed based on the Flutter Stable Channel.

Due to the rapid development of the Flutter framework, new widgets will be introduced continuously and some issues will be fixed in the plugin.

Therefore, FLUI will follow the official version of Flutter to update as much as possible, and when there are destructive API updates, it will also be stated in the official plugin documentation.

FLUI Key Features

  • A set of high quality, ready-to-use Flutter widgets
  • Comprehensive documentation and usage examples
  • Unstylized widgets for different app types
  • Supports DarkMode and RTL

FLUI‘s growing list of widgets already includes: ButtonLabel, Toast, BubbleInputAvatar, Badge, Image, CountStepperAppBarNoticeBarEmptySkeletonBottomSheet, List and Theme.

FLUI Key Features

FLUI Installation

Adicione o flui como dependência no seu pubspec.yaml:

dependencies:
  flui: 0.8.0

Then run flutter pub get to download the dependencies on your system. After the dependency installation is complete, you can import the plugin:

import 'package:flui/flui.dart';

You can now access new Widgets.

Did you like FLUI? I hope the Widget set is good for your projects, I use it here and I really like what it offers. A big hug!

Leave a Reply

Close Menu